# Uses of Interface
org.eclipse.birt.chart.model.attribute.ActionValue

Packages that use ActionValue
Package
Description
org.eclipse.birt.chart.computation
This is a placeholder file for the org.eclipse.birt.chart.computation package.
org.eclipse.birt.chart.model.attribute
Contains attribute interface definitions (for fonts, fills, lines, etc) for all chart components that may be customized via appropriate accessor methods.
org.eclipse.birt.chart.model.attribute.impl
Contains attribute core class implementations (for fonts, fills, lines, etc) for all chart components that may be customized via appropriate accessor methods.
org.eclipse.birt.chart.model.data
Holds a set of interfaces that define the structure of the data source and typed data elements associated with a chart series.
org.eclipse.birt.chart.model.data.impl
Holds a set of classes that define the structure of the data source and typed data elements associated with a chart series.

## Uses of ActionValue in org.eclipse.birt.chart.computation

Methods in org.eclipse.birt.chart.computation that return ActionValue
Modifier and Type
Method
Description
`ActionValue`
GObjectFactory.`copyOf(ActionValue src)`
`ActionValue`
IGObjectFactory.`copyOf(ActionValue src)`
Methods in org.eclipse.birt.chart.computation with parameters of type ActionValue
Modifier and Type
Method
Description
`ActionValue`
GObjectFactory.`copyOf(ActionValue src)`
`ActionValue`
IGObjectFactory.`copyOf(ActionValue src)`
`Action`
GObjectFactory.`createAction(ActionType at, ActionValue av)`
`Action`
IGObjectFactory.`createAction(ActionType at, ActionValue av)`

## Uses of ActionValue in org.eclipse.birt.chart.model.attribute

Subinterfaces of ActionValue in org.eclipse.birt.chart.model.attribute
Modifier and Type
Interface
Description
`interface`
`AccessibilityValue`
A representation of the model object 'Accessibility Value'.
`interface`
`CallBackValue`
A representation of the model object 'Call Back Value'.
`interface`
`MultiURLValues`
A representation of the model object 'Multi URL Values'.
`interface`
`ScriptValue`
A representation of the model object 'Script Value'.
`interface`
`SeriesValue`
A representation of the model object 'Series Value'.
`interface`
`TooltipValue`
A representation of the model object 'Tooltip Value'.
`interface`
`URLValue`
A representation of the model object 'URL Value'.
Methods in org.eclipse.birt.chart.model.attribute that return ActionValue
Modifier and Type
Method
Description
`ActionValue`
ActionValue.`copyInstance()`
`ActionValue`
AttributeFactory.`createActionValue()`
Returns a new object of class 'Action Value'.

## Uses of ActionValue in org.eclipse.birt.chart.model.attribute.impl

Classes in org.eclipse.birt.chart.model.attribute.impl that implement ActionValue
Modifier and Type
Class
Description
`class`
`AccessibilityValueImpl`
An implementation of the model object 'Accessibility Value'.
`class`
`ActionValueImpl`
An implementation of the model object ' Action Value'.
`class`
`CallBackValueImpl`
An implementation of the model object 'Call Back Value'.
`class`
`MultiURLValuesImpl`
An implementation of the model object 'Multi URL Values'.
`class`
`ScriptValueImpl`
An implementation of the model object ' Script Value'.
`class`
`SeriesValueImpl`
An implementation of the model object ' Series Value'.
`class`
`TooltipValueImpl`
An implementation of the model object ' Tooltip Value'.
`class`
`URLValueImpl`
An implementation of the model object ' URL Value'.
Methods in org.eclipse.birt.chart.model.attribute.impl that return ActionValue
Modifier and Type
Method
Description
`ActionValue`
ActionValueImpl.`copyInstance()`
A convenient method to get an instance copy.
`ActionValue`
AttributeFactoryImpl.`createActionValue()`

## Uses of ActionValue in org.eclipse.birt.chart.model.data

Methods in org.eclipse.birt.chart.model.data that return ActionValue
Modifier and Type
Method
Description
`ActionValue`
Action.`getValue()`
Returns the value of the 'Value' containment reference.
Methods in org.eclipse.birt.chart.model.data with parameters of type ActionValue
Modifier and Type
Method
Description
`void`
Action.`setValue(ActionValue value)`
Sets the value of the '`Value`' containment reference.

## Uses of ActionValue in org.eclipse.birt.chart.model.data.impl

Methods in org.eclipse.birt.chart.model.data.impl that return ActionValue
Modifier and Type
Method
Description
`ActionValue`
ActionImpl.`getValue()`
Methods in org.eclipse.birt.chart.model.data.impl with parameters of type ActionValue
Modifier and Type
Method
Description
`org.eclipse.emf.common.notify.NotificationChain`
ActionImpl.`basicSetValue(ActionValue newValue, org.eclipse.emf.common.notify.NotificationChain msgs)`
`static final Action`
ActionImpl.`create(ActionType at, ActionValue av)`
Returns an instance of an action NOTE: Manually written
`void`
ActionImpl.`setValue(ActionValue newValue)`